// In this scss you can overwrite all our scss, we suggested you to add your scss into this, so whenever the update comes it will not affect your code.

//Datepicker
.react-datepicker-wrapper {
  display: block !important;
  .react-datepicker__input-container {
    display: block;
  }
}


//Customer-history
.customer-history  {
  .MuiPaper-elevation4-13 {
    box-shadow: none;
  }
}

// Custom Icon btn
.btn-icon {
  color: $gray-500;

  &:hover {
    color: $gray-600;
  }
}

.btn-icon-active {
  color: $info;
  cursor: default !important;

  &:hover {
    color: $info;
  }
}

// Datepicker
.react-datepicker {
  &.react-datepicker--time-only {
    .react-datepicker__input-time-container{
      min-width: 100px;
      margin: 0 0 10px;
      padding-top: 5px;
      border-top: 1px solid $gray-300;

      .react-datepicker-time__caption {
        display: none;
      }

      .react-datepicker-time__input-container {
        display: block;
        padding: 0 5px;

        .react-datepicker-time__input {
          display: block;
          margin: 0;

          input {
            width: 100%;
            height: calc(1.5em + 0.75rem + 2px);
            padding: 0.375rem 0.75rem;
            font-size: 0.875rem;
            font-weight: 400;
            line-height: 1.5;
            color: $gray-700;
            background-color: $white;
            background-clip: padding-box;
            border: 1px solid $gray-200;
            border-radius: 2px;
            transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
          }
        }
      }
    }
  }

  .react-datepicker__time-container {
    width: 100% !important;
    min-width: 70px;

    .react-datepicker__time {
      .react-datepicker__time-box {
        width: 100% !important;
        min-width: 70px;
      }
    }
  }
}

// Autosuggestion
.search-container {
  position: relative;

  .close {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    z-index: 2;

    span {
      font-size: 1.7rem;
      color: $danger;
    }
  }
}

.react-autosuggest__container {
  position: relative;

  .react-autosuggest__input {
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.5;
    color: $gray-700;
    background-color: $white;
    background-clip: padding-box;
    border: 1px solid $gray-200;
    border-radius: 2px;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  }

  .react-autosuggest__suggestions-container {
    display: none;
    position: absolute;
    width: 100%;
    max-height: 250px;
    overflow: auto;
    background-color: $white;
    box-shadow: 0 2px 10px 0 rgba(198, 198, 198, 0.5);
    z-index: 21;
    top: 40px;
    left: 0;

    &.react-autosuggest__suggestions-container--open {
      display: block;
    }

    .react-autosuggest__section-container {
      padding: 8px 0;
      border-bottom: solid 1px $gray-500;

      .react-autosuggest__section-title {
        font-size: 16px;
        font-weight: 500;
        color: #949494;
        padding: 15px 16px 10px 16px;
      }
    }

    .react-autosuggest__suggestions-list {
      list-style: none;
      margin-bottom: 0;
      -webkit-margin-before: 0;
      -webkit-margin-after: 0;
      padding-inline-start: 0;

      .react-autosuggest__suggestion {
        cursor: pointer;
        padding: 8px 16px;
        border-bottom: solid 1px $gray-200;

        &:nth-last-child(1) {
          border-bottom: 0;
        }

        &:hover, &--highlighted {
          background-color: rgba(0, 0, 0, 0.04);
        }
      }
    }
  }
}

//CK Editor
.ck-editor__editable {
  height: 500px !important;
}
